#!/usr/local/bin/wish8.4

# New RGB values now used in GTbrew2 when displaying the approximate
# calculated (predicted) beer color.  Tcl/Tk developers:  no, this is
# not the most efficient code...I just hacked this out in a minute to
# test the results from interpolating the missing color values....
# The chart itself may, at some point, be added to GTbrew2 (currently
# only the predicted value for beer color uses this data) as part of
# the extra utils, conversions, etc. menu.  Not there yet, though....

set colors(1) #F0EEBC ; set colors(2) #E9D67D ; set colors(3) #DBBE57
set colors(4) #CCA532 ; set colors(5) #D5A435 ; set colors(6) #CF9631
set colors(7) #C8882D ; set colors(8) #C27E2F ; set colors(9) #BB7531
set colors(10) #B66E30 ; set colors(11) #B1662F ; set colors(12) #AC5F2E
set colors(13) #A7582E ; set colors(14) #A3532C ; set colors(15) #A04F2A
set colors(16) #9C4A28 ; set colors(17) #984626 ; set colors(18) #934225
set colors(19) #8F3D25 ; set colors(20) #8A3924 ; set colors(21) #863524
set colors(22) #813124 ; set colors(23) #7C2E21 ; set colors(24) #772C1F
set colors(25) #72291D ; set colors(26) #6D271B ; set colors(27) #682519
set colors(28) #642218 ; set colors(29) #611F17 ; set colors(30) #5E1C16
set colors(31) #5A1915 ; set colors(32) #571614 ; set colors(33) #531313
set colors(34) #201113 ; set colors(35) #4D1113 ; set colors(36) #4A1113
set colors(37) #461113 ; set colors(38) #431113 ; set colors(39) #401113
set colors(40) #3D1113 ; set colors(41) #3A1113 ; set colors(42) #371113
set colors(43) #341113 ; set colors(44) #311214


proc colorguide {} {
   global colors

   label .title -text "Beer color guide (SRM)" -background $colors(14) \
      -foreground white -font {Times 12 bold}
   pack .title -side top -expand y -fill x
   pack [frame .cg] -side top -expand y -fill x
   set w .cg

   set row 1 ; set col 1
   for {set i 1} {$i <= 44} {incr i} {
      set fg black
      if {$i > 12} { set fg white }
      label $w.cl$i -text "\[     $i     ]" -font {Times 14 bold} \
         -background $colors($i) -foreground $fg
      grid $w.cl$i -row $row -column $col -sticky ew
      if {$col == 11} { incr row ; set col 0 }
      incr col
   }
   button .dismiss -text Dismiss -command { exit } -background $colors(14) \
      -foreground white -font {Times 12 bold}
   pack .dismiss -side top -expand y -fill x
}

wm geometry . +200+200
colorguide


